package org.jeecg.modules.productOrder.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 订单表
 * @Author: jeecg-boot
 * @Date:   2024-10-20
 * @Version: V1.0
 */
@Data
@TableName("tb_product_order")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="tb_product_order对象", description="订单表")
public class TbProductOrder implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.String id;
	/**挂单id*/
	@Excel(name = "挂单id", width = 15)
    @ApiModelProperty(value = "挂单id")
    private java.lang.String productId;
	/**采购用户id*/
	@Excel(name = "采购用户id", width = 15)
    @ApiModelProperty(value = "采购用户id")
    private java.lang.String buyUserId;
	/**供应商名称*/
	@Excel(name = "供应商名称", width = 15)
    @ApiModelProperty(value = "供应商名称")
    private java.lang.String companyName;
	/**客户姓名*/
	@Excel(name = "客户姓名", width = 15)
    @ApiModelProperty(value = "客户姓名")
    private java.lang.String userName;
	/**客户电话*/
	@Excel(name = "客户电话", width = 15)
    @ApiModelProperty(value = "客户电话")
    private java.lang.String phone;
	/**提货地址*/
	@Excel(name = "提货地址", width = 15)
    @ApiModelProperty(value = "提货地址")
    private java.lang.String address;
	/**地址id*/
	@Excel(name = "地址id", width = 15)
    @ApiModelProperty(value = "地址id")
    private java.lang.String addressId;
	/**报价照片*/
	@Excel(name = "报价照片", width = 15)
    @ApiModelProperty(value = "报价照片")
    private java.lang.String pic;
	/**单价*/
	@Excel(name = "单价", width = 15)
    @ApiModelProperty(value = "单价")
    private java.math.BigDecimal price;
	/**定金*/
	@Excel(name = "定金", width = 15)
    @ApiModelProperty(value = "定金")
    private java.math.BigDecimal deposit;
	/**暂定数量、*/
	@Excel(name = "暂定数量、", width = 15)
    @ApiModelProperty(value = "暂定数量、")
    private java.lang.Integer num;
	/**审核状态 0审核中 1 审核通过 2审核未通过*/
	@Excel(name = "审核状态 0审核中 1 审核通过 2审核未通过", width = 15, dicCode = "audit_status")
	@Dict(dicCode = "audit_status")
    @ApiModelProperty(value = "审核状态 0审核中 1 审核通过 2审核未通过")
    private java.lang.Integer auditStatus;
	/**挂单状态 0挂单 1 已撤单 2未挂单*/
	@Excel(name = "挂单状态 0挂单 1 已撤单 2未挂单", width = 15, dicCode = "show_status")
	@Dict(dicCode = "show_status")
    @ApiModelProperty(value = "挂单状态 0挂单 1 已撤单 2未挂单")
    private java.lang.Integer showStatus;
	/**期货现货 0期货 1 现货 2 未选择*/
	@Excel(name = "期货现货 0期货 1 现货 2 未选择", width = 15, dicCode = "product_type")
	@Dict(dicCode = "product_type")
    @ApiModelProperty(value = "期货现货 0期货 1 现货 2 未选择")
    private java.lang.Integer productType;
	/**交货时间*/
	@Excel(name = "交货时间", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "交货时间")
    private java.util.Date transactionTime;
	/**提货时间*/
	@Excel(name = "提货时间", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "提货时间")
    private java.util.Date takeTime;
	/**排序*/
	@Excel(name = "排序", width = 15)
    @ApiModelProperty(value = "排序")
    private java.lang.Integer sortNum;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private java.lang.String sysOrgCode;
	/**删除标识0-正常,1-已删除*/
	@Excel(name = "删除标识0-正常,1-已删除", width = 15)
    @ApiModelProperty(value = "删除标识0-正常,1-已删除")
    private java.lang.Integer delFlag;
}
