package org.jeecg.modules.postBean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecg.common.aspect.annotation.Dict;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 清关申请
 * @Author: jeecg-boot
 * @Date:   2024-10-19
 * @Version: V1.0
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="清关申请", description="清关申请")
public class CustomsReq implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private String id;
	/**角色信息 1供应商 2采购商*/
	@Excel(name = "角色信息 1供应商 2采购商", width = 15, dicCode = "user_role")
	@Dict(dicCode = "user_role")
    @ApiModelProperty(value = "角色信息 1供应商 2采购商")
    private Integer role;
	/**用户名*/
	@Excel(name = "用户名", width = 15)
    @ApiModelProperty(value = "用户名")
    private String userName;
	/**密码*/
	@Excel(name = "密码", width = 15)
    @ApiModelProperty(value = "密码")
    private String password;
	/**公司名称*/
	@Excel(name = "公司名称", width = 15)
    @ApiModelProperty(value = "公司名称")
    private String companyName;
	/**税收编码*/
	@Excel(name = "税收编码", width = 15)
    @ApiModelProperty(value = "税收编码")
    private String taxCode;
	/**公司地址*/
	@Excel(name = "公司地址", width = 15)
    @ApiModelProperty(value = "公司地址")
    private String address;
	/**公司账号*/
	@Excel(name = "公司账号", width = 15)
    @ApiModelProperty(value = "公司账号")
    private String bankAccount;
	/**电话*/
	@Excel(name = "电话", width = 15)
    @ApiModelProperty(value = "电话")
    private String phone;
	/**开户行*/
	@Excel(name = "开户行", width = 15)
    @ApiModelProperty(value = "开户行")
    private String bankNama;
	/**营业执照上传*/
	@Excel(name = "营业执照上传", width = 15)
    @ApiModelProperty(value = "营业执照上传")
    private String businessLicense;
	/**基本户信息照片上传*/
	@Excel(name = "基本户信息照片上传", width = 15)
    @ApiModelProperty(value = "基本户信息照片上传")
    private String basicAccount;
	/**收款银行照片上传*/
	@Excel(name = "收款银行照片上传", width = 15)
    @ApiModelProperty(value = "收款银行照片上传")
    private String bankInfo;

}
