package org.jeecg.modules.postBean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecg.common.aspect.annotation.Dict;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description: 订单表
 * @Author: jeecg-boot
 * @Date:   2024-10-20
 * @Version: V1.0
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="订单", description="订单表")
public class ProductOrderReq implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private String id;
	/**挂单id*/
	@Excel(name = "挂单id", width = 15)
    @ApiModelProperty(value = "挂单id")
    private String productId;

	/**提货地址*/
	@Excel(name = "提货地址", width = 15)
    @ApiModelProperty(value = "提货地址")
    private String address;
	/**地址id*/
	@Excel(name = "地址id", width = 15)
    @ApiModelProperty(value = "地址id")
    private String addressId;
	/**单价*/
	@Excel(name = "单价", width = 15)
    @ApiModelProperty(value = "单价")
    private BigDecimal price;

    /**保证金*/
    @Excel(name = "保证金", width = 15)
    @ApiModelProperty(value = "保证金")
    private BigDecimal deposit;

    /**暂定数量、*/
	@Excel(name = "暂定数量、", width = 15)
    @ApiModelProperty(value = "暂定数量、")
    private Integer num;


	/**提货时间*/
	@Excel(name = "提货时间", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "提货时间")
    private Date takeTime;

}
