package org.jeecg.modules.product.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description: 产品报价表
 * @Author: jeecg-boot
 * @Date:   2024-10-19
 * @Version: V1.0
 */
@Data
@Accessors(chain = true)
@ApiModel(value="tb_product对象", description="产品报价表")
public class ProductReq implements Serializable {
    private static final long serialVersionUID = 1L;

	/**供应商名称*/
	@Excel(name = "供应商名称", width = 15)
    @ApiModelProperty(value = "供应商名称")
    private String companyName;
	/**客户姓名*/
	@Excel(name = "客户姓名", width = 15)
    @ApiModelProperty(value = "客户姓名")
    private String userName;
	/**客户电话*/
	@Excel(name = "客户电话", width = 15)
    @ApiModelProperty(value = "客户电话")
    private String phone;
	/**地址id*/
	@Excel(name = "地址id", width = 15)
    @ApiModelProperty(value = "地址id")
    private String addressId;
	/**报价照片*/
	@Excel(name = "报价照片", width = 15)
    @ApiModelProperty(value = "报价照片")
    private String pic;
	/**单价*/
	@Excel(name = "单价", width = 15)
    @ApiModelProperty(value = "单价")
    private BigDecimal price;
	/**暂定数量、*/
	@Excel(name = "暂定数量、", width = 15)
    @ApiModelProperty(value = "暂定数量、")
    private Integer num;
	/**交货时间*/
	@Excel(name = "交货时间", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "交货时间")
    private Date transactionTime;

}
